%define name berry-kde-config
%define version 0.09
%define release b1

Name:		%{name}
Summary:	Berry Linux configuration for KDE
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		User Interface/Desktops
Source:		%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}

BuildArchitectures: noarch


%description
Menu structure and icons for the KDE/GNOME Berry menu.


##
## Setup Section
##

%prep
%setup -q


##
## Build Section
##

%build


##
## Install Section
##

%install
install -m 755 -d %{buildroot}/etc/xdg/menus
install -m 644 menus/*.menu %{buildroot}/etc/xdg/menus
install -m 755 -d %{buildroot}/usr/share/applications
install -m 644 desktop-files/*.desktop %{buildroot}/usr/share/applications
install -m 755 -d %{buildroot}/usr/share/desktop-directories
install -m 644 desktop-files/*.directory %{buildroot}/usr/share/desktop-directories

install -m 755 -d %{buildroot}/usr/share/apps/konqueror/servicemenus
install -m 644 servicemenus/*.desktop %{buildroot}/usr/share/apps/konqueror/servicemenus
install -m 755 -d %{buildroot}/opt/berry
install -m 755 servicemenus/*wrapper %{buildroot}/opt/berry
install -m 755 servicemenus/*.sh %{buildroot}/opt/berry

install -m 755 -d %{buildroot}/etc/skel/.kde/share/apps/konqueror
install -m 644 skel/.kde/share/apps/konqueror/bookmarks.xml %{buildroot}/etc/skel/.kde/share/apps/konqueror/
install -m 755 -d %{buildroot}/etc/skel/.kde/share/config
install -m 644 skel/.kde/share/config/* %{buildroot}/etc/skel/.kde/share/config/

install -m 755 -d %{buildroot}/usr/lib/qt-3.3/etc/settings
install -m 644 settings/* %{buildroot}/usr/lib/qt-3.3/etc/settings


##
## Post Section
##

%post
if [ -e /usr/share/applications/kde/Home.desktop ]; then
	rm /usr/share/applications/kde/Home.desktop
fi


##
## Clean Section
##

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


##
## Files Section
##

%files
%defattr (-,root,root)
/etc/xdg/menus/*
/usr/lib/qt-3.3/etc/settings/*
/usr/share/applications/*
/usr/share/desktop-directories/*
/usr/share/apps/konqueror/servicemenus/*
/etc/skel/.kde/share/apps/konqueror/*
/etc/skel/.kde/share/config/*
/opt/berry/*wrapper
/opt/berry/*.sh


##
## change log
##

%changelog
* Wed May 18 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Bug fixed zipit.desktop
- Added Print_OpenOffice.org.desktop, floppy.desktop, extract_rpm.desktop, dvd_play_from_folder.desktop
* Tue Oct 12 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Added konsolerc file for font and transparent
- Added zipit
* Mon Jul 12 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Added some desktop-files
- Removed Home.desktop file in /usr/share/applications/kde/
- Removed find.desktop in kickerrc
- Added clockappletrc, kdesktoptc
* Tue Jun 15 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Added Services.desktop
* Wed Apr 7 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Added PlayInXMMS, EnqueueWithXMMS, mount_iso
- Added *.menu, *.desktop and *.directory for KDE-3.2 & Berry Linux
- Added qt settings
* Sun Nov 30 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Use UTF-8
- kdeservicemenus-knoppix-0.1.tar.gz
* Wed Sep 24 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Added kickerrc
* Fri Jul 25 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
